Get Translation Job
const url = 'https://example.com/%7B%7Bapp_url%7D/api/v1/workspaces/1/emails/1/translation_jobs/1';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/%7B%7Bapp_url%7D/api/v1/workspaces/1/emails/1/translation_jobs/1 \ --header 'Authorization: Bearer <token>'Retrieves a translation job.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”Workspace ID
Email ID
Translation Job ID
Responses
Section titled “ Responses ”Successful
object
How the job is fulfilled.
The localization connector fulfilling this job, or null for built-in providers.
A BCP 47 language tag identifying the language and region of a piece of content. Must carry both a language and a region subtag, and must be in canonical case (lowercase language, titlecase script, uppercase region) — en-GB, not en-gb or en_GB. The region may be a UN M.49 code, so en-001 (world) is valid.
Per-target-locale progress.
object
A BCP 47 language tag identifying the language and region of a piece of content. Must carry both a language and a region subtag, and must be in canonical case (lowercase language, titlecase script, uppercase region) — en-GB, not en-gb or en_GB. The region may be a UN M.49 code, so en-001 (world) is valid.
Example
{ "id": 12345, "email_id": 12345, "provider": "ai", "connector_id": 12345, "status": "pending", "source_locale": "en-GB", "locales": [ { "locale": "en-GB", "status": "pending" } ], "created_at": "2023-08-23T10:30:00.000Z", "completed_at": "2023-08-23T10:30:00.000Z"}Unauthorized
object
Example
{ "message": "Record not found", "code": "share_link_expired"}Forbidden
object
Example
{ "message": "Record not found", "code": "share_link_expired"}Not Found
object
Example
{ "message": "Record not found", "code": "share_link_expired"}